/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.iptc.provider;

import it.tidalwave.image.metadata.IPTC;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class IPTCFormatProviderTest 
  {
    private IPTCFormatProvider formatProvider;
    private IPTC iptc;
    
    @Before
    public void setupFixture()
      {
        formatProvider = new IPTCFormatProvider();
        iptc = new IPTC();
      }
    
    @After
    public void tearDownFixture()
      {
        formatProvider = null;
        iptc = null;
      }
    
    @Test
    public void testGetItemClass() 
      {
        assertEquals(IPTC.class, formatProvider.getItemClass());
      }

    @Test
    public void testGetItemDisplayName() 
      {
        assertEquals("IPTC", formatProvider.getItemDisplayName());
      }
    
    @Test
    public void testGetDisplayName()
      {
        assertEquals("Creator Address", formatProvider.getDisplayName("AdobeCreatorAddress"));
        assertEquals("Creator", formatProvider.getDisplayName("byline"));
        assertEquals("Job Title", formatProvider.getDisplayName("bylineTitle"));
        assertEquals("Caption", formatProvider.getDisplayName("captionAbstract"));
        assertEquals("Country", formatProvider.getDisplayName("countryPrimaryLocationName"));
        assertEquals("State / Province", formatProvider.getDisplayName("provinceState"));
        assertEquals("Writer", formatProvider.getDisplayName("writerEditor"));
      }
  }